use crate::migrations::{Migrations, SimpleMigration};

pub fn create_migrations() -> Migrations {
    let mut migs = Migrations::new();
    migs.add(SimpleMigration::new_box(
        1,
        "CREATE TABLE sections (
                        id INTEGER PRIMARY KEY,
                        name TEXT NOT NULL,
                        interface_id INTEGER NOT NULL
                    );",
        "DROP TABLE sections;",
    ));
    migs.add(SimpleMigration::new_box(
        2,
        "INSERT INTO sections (id, name, interface_id)
                VALUES 
                    (1, 'Front Yard Middle', 0),
                    (2, 'Front Yard Left', 1),
                    (3, 'Front Yard Right', 2),
                    (4, 'Back Yard Middle', 3),
                    (5, 'Back Yard Sauna', 4),
                    (6, 'Garden', 5);",
        "DELETE FROM sections;",
    ));
    migs
}
